/*

# ------------------------------------------------------------------------
# JA Olivine template for joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# bound by Proprietary License of JoomlArt. For details on licensing, 
# Please Read Terms of Use at http://www.joomlart.com/terms_of_use.html.
# Author: JoomlArt.com
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------

*/

if (typeof(MooTools) != 'undefined'){
		var FlymooMenu = new Class({	
			initialize: function(element)
			{
				this.elements = element.getChildren();
				if (this.elements.length)
				{
					var w = Math.floor($('ja-mainnav').offsetWidth / this.elements.length);
					$$('#ja-flymenu li').setStyle ('width', w);
					$$('#ja-flymenu li ul').setStyle ('width', w);
				}
				this.elements.each (function (li) {
					//get submenu
					submenu = li.getElement ('ul');
					if (submenu) {
						li.submenu = submenu;
						li.submenu._minh = submenu.offsetHeight;
					}
					li.addEvent ('mouseenter', function (){
						this.addClass ('sfhover');
						if (this.submenu) {
							var fx = new Fx.Style (this.submenu, 'height',{duration: 200});
							fx.stop();
							fx.start (this.submenu.offsetHeight, this.submenu.scrollHeight);
						}
					});
					li.addEvent ('mouseleave', function (){
						this.removeClass ('sfhover');
						if (this.submenu) {
							var fx = new Fx.Style (this.submenu, 'height',{duration: 200});
							fx.stop();
							fx.start (this.submenu.offsetHeight, this.submenu._minh);
						}
					});
				});				
			}
		});
		
		Window.onDomReady(function() {new FlymooMenu($('ja-flymenu'))});
	
	}else {
	
		sfHover = function() {
		var sfEls = document.getElementById("ja-flymenu").getElementsByTagName("li");
		for (var i=0; i<sfEls.length; ++i) {
			sfEls[i].onmouseover=function() {
				this.className+="sfhover";
			}
			sfEls[i].onmouseout=function() {
				this.className=this.className.replace(new RegExp("sfhover\\b"), "");
			}
		}
	}
	if (window.attachEvent) window.attachEvent("onload", sfHover);
}
